CVE-2014-8114CVE-2014-8114

Affected configuration(s):

cpe:/a:redhat:uberfire:0.3.0
cpe:/a:redhat:uberfire:0.3.1
cpe:/a:redhat:uberfire:0.3.2
cpe:/a:redhat:uberfire:0.3.3

Date published: 2015-02-20T11:59:02.430-05:00

Date last modified: 2015-03-23T12:53:19.380-04:00

CVSS Score: 6.8

Principal attack vector: NETWORK

Complexity:  MEDIUM

Reference URL: http://rhn.redhat.com/errata/RHSA-2015-0234.html

Summary: The UberFire Framework 0.3.x does not properly restrict paths, which allows remote attackers to (1) execute arbitrary code by uploading crafted content to FileUploadServlet or (2) read arbitrary files via vectors involving FileDownloadServlet.

CategoriesUncategorised

Leave a Reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.